<?php
/**
 * The template for displaying 404 pages (not found)
 *
 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
 *
 * @package tripify
 * 
 * @since 1.0.0
 *
 */

get_header();
?>
    <!-- Start-Package-Section -->
	<section class="same-section-spacing bg-fixed">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-lg-9 col-md-12 ">
                    <div class="bg-error">
                        <div class="error-box">
							<h1 class="page-title"><?php esc_html_e( '404', 'tripify' ); ?></h1>
                            <span><?php esc_html_e( 'OOOPS !', 'tripify' ); ?></span>
                            <p><?php esc_html_e( 'Something Went Wrong. Go Back Home', 'tripify' ); ?></p>
                            <a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="error-btn">
								<?php esc_html_e( 'Back To Home', 'tripify' ); ?>
							</a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- End-Package-Section -->  
<?php
get_footer();
