<?php
/**
 * The template for displaying search results pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 * @package tripify
 * 
 * @since 1.0.0
 *
 */

get_header();
?>

    <!-- Start-Package-Section -->
	<section class="same-section-spacing single-blog">
        <div class="container">
            <div class="row">
                <div class="col-lg-12 col-md-12">
                    <div class="row">
                        <div class="col-lg-8 col-md-12">
							<?php 
								if ( have_posts() ) : ?>

									<?php
									/* Start the Loop */
									while ( have_posts() ) :
										the_post();

										/**
										 * Run the loop for the search to output the results.
										 * If you want to overload this in a child theme then include a file
										 * called content-search.php and that will be used instead.
										 */
										get_template_part( 'template-parts/content', 'search' );

									endwhile;

									the_posts_navigation();

									else :

										get_template_part( 'template-parts/content', 'none' );

								endif;
						    ?>
						</div>
						<!-- Side-bar -->
						<div class="col-lg-4 col-md-12">
							<?php get_sidebar(); ?>
						</div>
					</div>
                </div>
            </div>
        </div>
    </section>
    <!-- End-Package-Section -->

<?php
get_footer();
